# Uses of Interface
org.apache.sling.spi.resource.provider.ObserverConfiguration

Packages that use ObserverConfiguration
Package
Description
org.apache.sling.spi.resource.provider

## Uses of ObserverConfiguration in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that return types with arguments of type ObserverConfiguration
Modifier and Type
Method
Description
`@NotNull List<ObserverConfiguration>`
ObservationReporter.`getObserverConfigurations()`
Get the list of observer configurations affecting the provider this reporter is bound to.
Methods in org.apache.sling.spi.resource.provider with parameters of type ObserverConfiguration
Modifier and Type
Method
Description
`void`
ObservationReporter.`reportChanges(@NotNull ObserverConfiguration config, @NotNull Iterable<ResourceChange> changes, boolean distribute)`
A resource provider can inform about a list of changes.